Subject: Re: [RFC PATCHv2 bridge 7/7] bridge: Add the ability to show dump the vlan map from a bridge port

From: Vlad Yasevich <[email-masked]>
Date: Mon, 24 Sep 2012 09:48:27 -0400

On 09/22/2012 01:15 PM, Ben Hutchings wrote:
> On Wed, 2012-09-19 at 08:42 -0400, Vlad Yasevich wrote:
>> Using the RTM_GETLINK dump the vlan map of a given bridge port.
> [...]
>
> This enlarges the RTM_GETLINK response quite a bit.  I think perhaps
> this should be optional, like IFLA_VFINFO_LIST is now.
>
> Ben.
>

Only for AF_BRIDGE and only if VLANs are set.  I guess I could add
a filter option similar to VFINFO as well, if you think that's necessary.

-vlad